<html>  
  <head> 
    <meta http-equiv="Content-Language" content="en-us"> 
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252"> 
    <title>Project Runner Data</title> 
  </head>  

  <body>  
    <a name="HOME"></a> 

    <h1 align="center">Texas Instruments Test Results</h1>   
    <h1 align="center">DSPLIB 3.4.0.4 C674x</h1>   
    <h1></h1>   
    
    <div> 
      <h1>&nbsp;</h1>
      <h1>Session Summary</h1>   
      <table bgcolor="#ffffff" border="1" cellspacing="2" cellpadding="4" width="50%"> 

        <tr bgcolor="#999999" align="center"> 
          <th>Endianness</th> 
          <th>Object Format</th> 
          <th>Link</th> 
        </tr>  

        <tr align="left"> 
          <td rowspan="2">Little Endian</td> 
        </tr>  

        <tr align="left"> 
          <td>ELF Format</td> 
          <td><a href="#LE">View Results</a></td> 
        </tr>  

      </table>  
    </div>

	

    <div>
      <h1>&nbsp;</h1>   
      <a name="LE"></a> 
      <table bgcolor="#ffffff" border="1" cellspacing="2" cellpadding="4"> 

        <tr bgcolor="#999999" align="left"> 
          <th colspan="5"><big>Test Parameters</big></th>
        </tr>

        <tr bgcolor="#ffffcc" align="left"> 
          <th colspan="2">Precision:</th>
          <th colspan="3">Fixed Point</th>
        </tr>

        <tr bgcolor="#ffffcc" align="left"> 
          <th colspan="2">Endianness:</th>
          <th colspan="3">Little</th>
        </tr>

        <tr bgcolor="#ffffcc" align="left"> 
          <th colspan="2">Object File Format:</th>
          <th colspan="3">ELF</th>

        <tr bgcolor="#ffffcc" align="left"> 
          <th colspan="2">Platform:</th>
          <th colspan="3">CCS Simulator</th>
        </tr>

        <tr bgcolor="#ffffcc" align="left"> 
          <th colspan="2">Cores Used:</th>
          <th colspan="3"> 1</th>
        </tr>

        <tr bgcolor="#ffffcc" align="left"> 
          <th colspan="2">CCS Version:</th>
          <th colspan="3">5.4.0.00091</th>
        </tr>

        <tr bgcolor="#ffffcc" align="left"> 
          <th colspan="2">CGT Version:</th>
          <th colspan="3">8.3.3</th>
        </tr>
        
        <tr align="center"> 
          <th rowspan="2" bgcolor="#cccccc">KERNEL</th> 
          <th rowspan="2" bgcolor="#cccccc">RESULT</th> 
          <th colspan="2" bgcolor="#cccccc">CYCLE FORMULA</th> 
          <th rowspan="2" bgcolor="#cccccc">PROGRAM<br>MEMORY</th> 
        </tr>  
		
		<tr align="center"> 
          <th bgcolor="#cccccc">EQUATION</th> 
          <th bgcolor="#cccccc">VARIABLES<br /></th> 
        </tr>  

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_blk_eswap16</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/4*n_hwords + 30 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  160<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_blk_eswap32</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*n_words + 32 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  192<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_blk_eswap64</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1*n_dbls + 32 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  224<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_fltoq15</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1*Nx + 49 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  160<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_q15tofl</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*Nx + 37 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  128<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_autocor</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  4/8*Nx*Nr + 24/8*Nr + 40</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1248<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_biquad</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  8*Nx + 80 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  352<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_bitrev_cplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  9/4*Nx + 47 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  288<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_blk_move</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*Nx + 27 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  64<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">    Cycle Counts:</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  4156 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1152<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">    Cycle Counts:</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  4755 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  896<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_convol</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  4/8*Ny*Nh + 22/8*Ny + 55</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1184<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_dotprod_d</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*Nx + 58 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  288<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_dotp_cplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1*Nx + 42 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  256<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_fftSPxSP</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1069 (N=128) 1965 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  928<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_fircirc</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">N/A</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1056<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_fir_cplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  2*Nh*Nr + 2*Nr + 50</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  608<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_fir_gen</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  9/16*Nr*Nh + 43</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1088<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_fir_r2</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*Nr*Nh + 2/2*Nr + 53</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  832<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">    Cycle Counts:</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  5137 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1280<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_ifftSPxSP</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1089 (N=128) 1985 (N=256)</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  960<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_iir</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  21/2*Nr + 89 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  928<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_iirlat</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  8/4*Nx*Nk + 132/4*Nx + 45</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  864<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_lms</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  2*Nx*Nh + 32*Nx + 30</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  288<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_mat_mul</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*r1*c2*c1 + 12/2*r1*c2 + 9/2*r1 + 41</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  864<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_mat_mul_cplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  2*r1*c2*c1 + 53</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  672<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_mat_mul_gemm</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  16/32*r1*c2*c1 + 106/32*r1*c2 + 296/32*c2 + 56</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  1408<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_mat_mul_gemm_cplx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  4/2*r1*c2*c1 + 22/2*r1*c2 + 24/2*c2 + 49</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  928<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_mat_trans</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*R*C + 8/2*R + 38</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  224<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_maxidx</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/4*Nx + 33 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  192<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_maxval</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*Nx + 33 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  160<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_minerr</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1336</td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  288<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_minval</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*Nx + 33 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  160<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_vecmul</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  3/4*Nx + 32 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  96<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_vecrecip</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  2*Nx + 70 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  480<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_vecsum_sq</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1/2*Nx + 76 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  352<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSPF_sp_w_vec</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  1*Nx + 38 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  96<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_r8_h16</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  10/4*Nr + 58 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  416<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_r8_h24</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  16/4*Nr + 64 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  608<br /></td>
       </tr>

      <tr align="center">
         <td align="left" bgcolor="#ffffff">DSP_fir_r8_h8</td>
         <td bgcolor="#66CC66">Passed</td>
         <td align="right" bgcolor="#ffffff">  5/4*Nr + 42 </td>
         <td align="left">N/A</td>
         <td bgcolor="#ffffff">  704<br /></td>
       </tr>
 
      </table>  
      <p><a href="#HOME">Top</a>
    </div>



  </body> 

</html> 

		   
